<?php get_header(); ?>
    <div id="content">
      <div id="center">
        <div id="the_loop">
          <p class="address"><a href="<?php echo home_url(); ?>/" title="Home"><?php bloginfo('name'); ?></a> &raquo; <?php _e('Archive') ?></p>
        <?php if(have_posts()) : while(have_posts()) : the_post(); ?>
          <div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
            <h2><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php _e('Permanent Link to') ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
            <p class="postmeta"><?php the_time(__('F jS, Y')); ?> | <?php comments_popup_link(__('Add a Comment'), __('1 Comment'), __('% Comments')); ?></p>
            <div class="the_content">
              <?php $words = 75;
                $content = get_the_excerpt();
	            $excerpt = explode(' ',$content); ?>
              <?php
                $words = display_thumbnail(230,165,$words,55);
				if(count($excerpt) > $words) $count = $words;
				else $count = count($excerpt) ?>
              <p><?php for($i = 0; $i <= $words - 1; $i++) { echo $excerpt[$i]; echo ' '; } echo '&#8230;'; ?> <a href="<?php the_permalink() ?>"><?php _e('Read entire article','cover-wp') ?> &raquo;</a></p>
            </div><!-- /the_content -->
            <p class="details"><?php _e('Filed under:') ?> <?php the_category(', ') ?><?php edit_post_link(__('Edit'), ' &middot; ', ''); ?></p>
          </div><!-- /post -->
        <?php endwhile; ?>
        <div class="navigation">
		  <?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } 
            else { ?>
              <div class="left"><?php previous_posts_link(__('&laquo; Previous Page')) ?></div>
              <div class="right"><?php next_posts_link(__('Next Page &raquo;')) ?></div>
            <?php } ?>
        </div>
        <?php else: ?>
          <h2 class="center"><?php _e('No Entries Found') ?></h2>
          <p class="center"><?php _e('There are no entries in this blog.') ?></p>
      <?php endif; ?>
        </div><!-- /the_loop -->
      </div><!-- /center -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>