<?php get_header(); ?>
    <div id="content">
      <div id="center">
        <div id="the_loop">
          <p class="address"><a href="<?php echo home_url(); ?>/" title="Home"><?php bloginfo('name'); ?></a> &raquo; <?php _e('Search Results for ','cover-wp'); echo '&quot;'.$s.'&quot;'; ?></p>
          <?php if(have_posts()) : while(have_posts()) : the_post(); ?>
          <div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
            <h2><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php _e('Permanent Link to','cover-wp') ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
            <p class="postmeta"><?php the_time(__('F jS, Y')); ?> | <?php comments_popup_link(__('Add a Comment','cover-wp'), __('1 Comment','cover-wp'), __('% Comments','cover-wp')); ?></p>
            <div class="the_content">
              <?php $words = 75;
                $content = get_the_excerpt();
	            $excerpt = explode(' ',$content); ?>
              <?php
                $words = display_thumbnail(230,165,$words,55);
				if(count($excerpt) > $words) $count = $words;
				else $count = count($excerpt) ?>
              <p><?php for($i = 0; $i <= $count - 1; $i++) { echo $excerpt[$i]; echo ' '; } echo '&#8230;'; ?> <a href="<?php the_permalink() ?>"><?php _e('Read entire article','cover-wp') ?> &raquo;</a></p>
            </div><!-- /the_content -->
            <p class="details"><?php _e('Filed under:','cover-wp') ?> <?php the_category(', ') ?><?php edit_post_link(__('Edit','cover-wp'), ' &middot; ', ''); ?></p>
          </div><!-- /post -->
        <?php endwhile; ?>
        <div class="navigation">
		  <?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } 
            else { ?>
              <div class="left"><?php previous_posts_link(__('&laquo; Previous Page','cover-wp')) ?></div>
              <div class="right"><?php next_posts_link(__('Next Page &raquo;','cover-wp')) ?></div>
            <?php } ?>
        </div>
        <?php else: ?>
          <h2 class="center"><?php _e('No Results Found','cover-wp') ?></h2>
          <p class="center"><?php _e('There are no entries that match your search.','cover-wp') ?></p>
          <p><?php _e('Try a different search or you might find the following articles useful:','cover-wp') ?></p>
          <h3><?php _e('Recent Articles','cover-wp') ?></h3>
          <ul>
            <?php wp_get_archives('type=postbypost&limit=6')?>
          </ul>
          <h3><?php _e('Most commented','cover-wp') ?></h3>
          <ul>
            <?php list_most_commented(); ?>
          </ul>
          <h3><?php _e('Featured','cover-wp') ?></h3>
          <?php query_posts("showposts=3&category_name=Featured"); $i = 1; ?>
          <ul>
          <?php if(have_posts()) : while(have_posts()) : the_post(); ?>
            <li><a href="<?php echo the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>
          <?php endwhile; ?>
		  <?php else: ?>
            <p><?php _e('No Featured Articles','cover-wp') ?></p>
            <p><?php _e('Create a category called &quot;Featured&quot;. Articles in that category will be shown here.','cover-wp') ?></p>
          <?php endif; ?>
          </ul>
      <?php endif; ?>
        </div><!-- /the_loop -->
      </div><!-- /center -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>