<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/images/favicon.ico" />
<title><?php display_title($s); ?></title>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<link href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" rel="stylesheet" media="screen" />
<link href="<?php echo get_template_directory_uri(); ?>/mystyle.css" type="text/css" rel="stylesheet" media="screen" />
<?php if (strpos ($_SERVER['HTTP_USER_AGENT'], 'MSIE 6')) : ?>
  <script src="<?php echo get_template_directory_uri() ?>/scripts/suckerfish.js" type="text/javascript"></script>
  <link href="<?php echo get_template_directory_uri() ?>/ie6.css" type="text/css" rel="stylesheet" media="screen" />
<?php endif ?>
<?php if (strpos ($_SERVER['HTTP_USER_AGENT'], 'MSIE 7')) : ?>
<style>
ul#menu li li li { padding-left:0; }
</style>
<?php endif ?>
<?php if (strpos ($_SERVER['HTTP_USER_AGENT'], 'KHTML')) : ?>
<style>
#feeds p { margin-top:0px; }
</style>
<?php endif ?>
<?php if ((strpos ($_SERVER['HTTP_USER_AGENT'], 'Presto')) || (strpos ($_SERVER['HTTP_USER_AGENT'], 'MSIE'))) : ?>
<style>
#searchform input#searchsubmit { height:24px; }
#feeds p { padding-top:1px; }
</style>
<?php endif ?>
<?php wp_head(); ?>
</head>

<body <?php body_class() ?>>
  <div id="wrapper">
    <div id="feeds">
      <p><a class="rsslink" href="<?php bloginfo('rss2_url'); ?>" title="RSS Feed"><?php _e('Articles','cover-wp') ?></a>
        <a class="rsslink" href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php _e('Comments Feed') ?>"><?php _e('Comments','cover-wp') ?></a></p>
    </div><!-- /feeds -->
    <div id="topbar">
    </div><!-- /topbar -->
    <div id="header">
      <div id="headerwidget">
        <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar(1) ) : ?>
        <?php endif; ?>
      </div>
      <?php $heading_tag = ( is_home() || is_front_page() ) ? 'h1' : 'div'; ?>
      <<?php echo $heading_tag; ?> id="site-heading"><a href="<?php echo home_url(); ?>/"><?php bloginfo('name'); ?></a></<?php echo $heading_tag; ?>>
      <div id="site-description"><?php bloginfo('description'); ?></div>
    </div><!-- /header -->
    <div id="nav">
    <?php get_search_form(); ?>
    <?php mytheme_nav(); ?>
    <div class="clear"></div>
    </div>