<?php get_header(); ?>
    <div id="content">
      <div id="center">
      <?php global $locale; if((isset($_GET['lang'])) && ($_GET['lang'] == 'ro')) $locale = 'ro_RO' ?>
        <?php if(have_posts()) : while(have_posts()) : the_post(); ?>
        <div id="the_loop">
          <p class="address"><a href="<?php echo home_url(); ?>/" title="Home"><?php bloginfo('name'); ?></a> &raquo; <?php the_category(', ') ?> &raquo; <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></p>
          <div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
            <h1 id="post-headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php _e('Permanent Link to','cover-wp') ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
            <p class="postmeta"><?php the_time(__('F jS, Y')); ?> | <?php comments_popup_link(__('Add a Comment','cover-wp'), __('1 Comment','cover-wp'), __('% Comments','cover-wp')); ?></p>
            <div class="the_content">
              <?php the_content(__('Read entire Article &raquo;','cover-wp')); ?>
            </div><!-- /the_content -->
              <?php wp_link_pages('before=<p id="page-links">'.__('Pages:','cover-wp').' &after=</p>'); ?>
              <?php $features = get_option('cover_wp_features', array('social' => 1, 'author' => 1)); ?>
              <?php if( (!function_exists('ADDTOANY_SHARE_SAVE_ICONS'))&& ($features['social']) ) share_save_container(); ?>
              <?php if( (function_exists('the_author_meta')) && ($features['author']) ): ?>
              <div class="the_author">
                <?php echo get_avatar( $email = get_the_author_meta('user_email'), $size = '64', $default = get_template_directory_uri() . '/images/avatar.png' ); ?>
			    <h3><span><?php _e('Written by','cover-wp') ?></span> <?php the_author_posts_link(); ?></h3>
                <p><?php the_author_meta( 'description' ); ?> </p>
                <div id="author_meta">
                  <?php if(get_the_author_meta('user_url') != '') { ?>
                    <div id="author_website"><p><a href="<?php the_author_meta('user_url'); ?>" target="_blank"><?php _e('Visit ','cover-wp') ?><?php the_author_meta('display_name'); ?><?php _e("'s Website",'cover-wp') ?></a></p></div>
                  <?php } ?>
                  <?php if(get_the_author_meta('twitter') != '') { ?>
                    <div id="author_twitter"><p><a href="http://twitter.com/<?php the_author_meta('twitter'); ?>" target="_blank"><?php _e('Follow','cover-wp') ?> <?php the_author_meta('display_name'); ?> <?php _e('on Twitter','cover-wp') ?></a></p></div>
                  <?php } ?>
                </div><!-- /author_meta -->
              </div><!-- /the_author -->
              <?php endif; ?>
            <p class="details"><?php _e('Filed under:','cover-wp') ?> <?php the_category(', ') ?><?php edit_post_link(__('Edit','cover-wp'), ' &middot; ', ''); ?> <?php the_tags(__('&middot; Tags: ','cover-wp'), ', ', ''); ?></p>
			<div id="related">
			  <?php if( function_exists('wp_related_posts') ) wp_related_posts(); ?>
            </div>
          </div><!-- /post -->
        </div><!-- /the_loop -->
        <div id="comments">
          <?php comments_template(); ?>
        </div><!-- /comments -->
        <?php
          $post_views = get_post_meta(get_the_ID(), '_views', true);
		  if(!update_post_meta(get_the_ID(), '_views', ($post_views+1))) add_post_meta(get_the_ID(), '_views', $post_views+1, true);
		?>
        <?php endwhile; ?>
        <div class="navigation">
          <div class="left"><?php next_posts_link(__('&laquo; Previous Page','cover-wp')) ?></div>
          <div class="right"><?php previous_posts_link(__('Next Page &raquo;','cover-wp')) ?></div>
        </div>
        <?php else: ?>
          <h2 class="center"><?php _e('No Entries Found','cover-wp') ?></h2>
          <p class="center"><?php _e('There are no entries in this blog.','cover-wp') ?></p>
      <?php endif; ?>
      </div><!-- /center -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>